.datamaster-info-btn,.datamaster-notice-btn {
  /* width: 40px;
  height: 40px;
  position: fixed;
  z-index: 999997;
  text-align: center;
  line-height: 40px;
  border-radius: 50%;
  border: 1px solid #F0F4F6;
  background-color: rgba(255, 255, 255, 0.95);
  color: #414141;
  right: 8px;
  bottom: 8px;
  cursor: pointer; */
  display: flex;
  align-items: center;
  cursor: pointer;
  margin-right: 20px;
  margin-left: 6px;
  font-weight: normal;
  justify-content: flex-start;
  white-space: nowrap;
}
.datamaster-info-btn .tabToolbarButton-img,
.datamaster-notice-btn .tabToolbarButton-img {
  margin-right: 6px;
}
.datamaster-info-btn .tabToolbarButton-img svg,
.datamaster-notice-btn .tabToolbarButton-img svg {
  width: 14px;
  height: 14px;
  margin-top: 2px;
}
.datamaster-info-btn .tabToolbarButton-text,
.datamaster-notice-btn .tabToolbarButton-text {
  /* line-height: 25px;
  padding-left: 6px; */
  color: rgba(0, 0, 0, 0.6);
}
.datamaster-notice-btn {
  position: relative;
}
.notice-number {
  position: absolute;
  border-radius: 50%;
  width: 15px;
  height: 15px;
  line-height: 15px;
  font-size: 10px;
  font-weight: 400;
  text-align: center;
  color: #fff;
  top: -3px;
  left: 6px;
background-color: #f50 !important;
}
.datamaster-info {
  width: 320px;
  height: calc(100% - 39px);
  /* height: 100%; */
  position: fixed;
  z-index: 999998;
  top: 38px;
  /* top: 0; */
  right: 0px;
  box-sizing: border-box;
  border: 1px solid rgb(203, 203, 203);
  background-color: white;
  color: #414141;
  overflow: auto;
}

.data-master-formula {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 999999;
  width: 100%;
  height: 100%;
  background: rgba(245, 245, 245, 0.33);
  display: flex;
  align-items: center;
  justify-content: center;
}
.data-master-formula .data-master-formula-wrap {
  width: 500px;
  /* height: 222px; */
  color: rgba(0, 0, 0, 0.8);
  box-shadow: 0 0px 4px 1px #ccc;
  border-radius: 4px;
  background: white;
  padding-bottom: 10px;
}
.data-master-formula .data-master-formula-wrap .popup-title {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-left: 18px;
  background-color: #f3f3f3;
  font-size: 12px;
  height: 30px;
}
.data-master-formula .data-master-formula-wrap .popup-title-value {
  display: flex;
  align-items: center;
  width: calc(100% - 50px);
}
.data-master-formula .data-master-formula-wrap .popup-title-value .field-name {
  display: inline-block;
  max-width: calc(100% - 60px);
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}
.data-master-formula .data-master-formula-wrap .close-pupup {
  display: flex;
  width: 30px;
  height: 100%;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
}
.data-master-formula .data-master-formula-wrap .close-pupup svg{
  width: 18px;
  /* height: 18px; */
}
.data-master-formula-content {
  overflow: auto;
  padding: 18px 18px 0 18px;
}
.data-master-formula-content .data-master-formula-name{
  line-height: 22px;
  /* white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis; */
  font-size: 18px;
}
.data-master-formula-content .data-master-formula-name + div {
  font-size: 12px;
  color: rgba(0, 0, 0, 0.56);
  margin-bottom: 6px;
}
.data-master-formula-value {
  border: 1px solid rgb(203, 203, 203);
  cursor: text;
  margin-bottom: 12px;
  max-height: 600px;
  padding: 12px;
}

.data-master-formula .data-master-formula-wrap .btn-wrap {
  height: 24px;
}

.data-master-formula .data-master-formula-wrap .btn-wrap .copy-btn,
.data-master-formula .data-master-formula-wrap .btn-wrap .to-detail-btn {
  /* width: 96px; */
  padding-left: 10px;
  padding-right: 10px;
  float: right;
  cursor: pointer;
  background-color: #05628A;
  border: 1px solid transparent;
  border-radius: 2px;
  box-sizing: border-box;
  color: #EAF5FE;
  margin-right: 18px;
}
.datamaster-info-header {
  height: 26px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-left: 12px;
  padding-right: 12px;
  box-sizing: border-box;
  border-bottom: 1px solid rgb(212, 212, 212);
  background: rgb(250, 250, 250);
}
.datamaster-info-header .close {
  cursor: pointer;
  display: flex;
  align-items: center;
}
.data-master-formula-wrap .hljs-keyword {
  color: #a626a4;
}
.data-master-formula-wrap .hljs-operator {
  color: green;
}
.data-master-formula-wrap .hljs-computed-properties {
  color: #f18a34;
}
.datamaster-info-loading {
  width: 100%;
  height: calc(100% - 26px);
  position: absolute;
  top: 26px;
  left: 0;
  z-index: 99999;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 14px;
  background: white;
}
.datamaster-info-loading #loading-svg-spinner {
  /* width: 50px;
  height: 50px; */
  -webkit-animation: svg-spinner-animation 1s linear infinite;
  animation: svg-spinner-animation 1s linear infinite;
}
.datamaster-info-loading #loading-svg-spinner {
  display: inline;
  height: 42px;
  width: 42px;
}
.datamaster-info-loading #loading-svg-spinner .path {
  stroke-dasharray: 90, 150;
  stroke-dashoffset: 0;
  stroke-width: 2;
  stroke: #333;
  stroke-linecap: round;
}

@-webkit-keyframes svg-spinner-animation {
  100% {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes svg-spinner-animation {
  100% {
    transform: rotate(360deg);
  }
}
.datamaster-search-menu {
  align-items: center;
  background-color: transparent;
  box-sizing: border-box;
  display: flex;
  flex-direction: row;
  font-size: 14px;
  height: 40px;
  outline: none;
  position: relative;
  text-decoration: none;
  vertical-align: middle;
  width: 100%;
  margin-left: 23px;
}
.contact-dialog-model {
  bottom: 0;
  left: 0;
  overflow: auto;
  position: fixed;
  right: 0;
  top: 0;
  z-index: 999999;
}
.contact-dialog-model:before {
  content: '';
  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.5);
}
.contact-dialog-model .dialog-content {
  position: absolute;
  left: 50%;
  top: 50%;
  width: 50%;
  min-height: 200px;
  padding: 0 40px;
  font-size: 14px;
  padding-bottom: 20px;
  box-sizing: border-box;
  background: #fff;
  border-radius: 16px;
  transform: translate(-50%, -50%);
}
.dialog-title {
  width: 100%;
  box-sizing: border-box;
  z-index: 3;
  background-color: #fff;
  padding: 15px 0px;
  font-weight: 400;
  line-height: 25px;
  font-size: 18px;
}
.contact-dialog-model .dialog-content .close-dialog-svg svg {
  width: 16px;
  position: absolute;
  top: 20px;
  right: 40px;
  cursor: pointer;
  z-index: 999999;
}
.announcement {

}
.announcement-header {
  background: #34495e;
  padding: 10px;
}
.announcement-header .title {
  margin-top: 5px;
  text-align: center;
  font-weight: 500;
  color: #fff;
  font-size: 24px;
  line-height: 26px;
}
.announcement-header .time {
  font-weight: 400;
  color: #fff;
  line-height: 16px;
  font-size: 12px;
  text-align: center;
  margin-top: 5px;
  margin-bottom: 5px;
}
.announcement-content {
  border: 1px solid #e1e1e1;
  border-top: none;
  padding: 10px;
}